stages:
   - build
   - release


signin:
   stage: build
   script:
      - $bld_dir = (Get-Item .).FullName
      - echo $bld_dir
      - cd $bld_dir
      - $dataservices_msbuild='"C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\MSBuild\Current\Bin\amd64\MSBuild.exe" WebApp.sln /p:Configuration=Release'
      - cmd /c "$dataservices_msbuild" > dataservices.txt
   
  
     
   tags:
      - ci  
 

   artifacts:
     paths:
        - dataservices.txt

sonarbuild:
   stage : build  
   script: 
      - echo "hello world" 
   tags:
      - ci   

   
 

ci:
   stage: release
   script:
      - $bld_dir = (Get-Item .).FullName
      - $msbuild='"C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\MSBuild\Current\Bin\amd64\MSBuild.exe" WebApp.sln /p:Configuration=Release'
      - echo $bld_dir
      - cd $bld_dir
      - xcopy /E /I /Y $bld_dir\WebApp c:\publishedpackage\webapp
   when: manual

   tags:
      - ci

   only:
      - master    
   



   
